View Issue Details

IDProjectCategoryView StatusLast Update
0025638LazarusLazReportpublic2014-06-06 21:47
ReporterChristianAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.0.15 (SVN)Product Build 
Target Version1.4Fixed in Version1.3 (SVN) 
Summary0025638: Colors dont work from Scripts
DescriptionScripts dont recognize Color constants (clBlue,clGreen...) an error "Undefiniend Symbol" comes up
Also setting Colors from Script with $ Code dont work
At example
Memo9.FillColor := $000FFFFF;
TagsNo tags attached.
Fixed in Revision44281
LazTarget1.4
WidgetsetWin32/Win64
Attached Files

Activities

Christian

2014-02-27 14:26

reporter   ~0073358

is it an way to revert the revision that bricks something on regressions ?
would be nice to have an working version during an autor dont fix his bugs.

Reinier Olislagers

2014-02-27 15:06

developer   ~0073359

Last edited: 2014-02-27 15:08

View 2 revisions

Yes (by heart, may be inaccurate, check your manual) svn update --revision=1235
Please ask questions about svn/subversion and building Lazarus on the forum or mailing lists, thanks.

Edit: also: all authors here are volunteers that freely give of their time, so it's no surprise bug fixes may not be as quick as you like. If you really want to help, please provide a patch that fixes the problem and attach it to the bugreport (file upload). Until the patch is committed by the author, you can keep your local svn copy patched. Win-win situation ;)

Jesus Reyes

2014-02-27 19:01

developer   ~0073360

Please try r44281 or later, it should fix the color constants.

Christian

2014-03-15 12:18

reporter   ~0073721

hoepfully i can test this next week

Christian

2014-03-17 17:54

reporter   ~0073791

seems to work :)

Jesus Reyes

2014-03-17 22:02

developer   ~0073797

Thanks, please close.

Christian

2014-06-06 21:47

reporter   ~0075540

thanks

Issue History

Date Modified Username Field Change
2014-01-28 16:14 Christian New Issue
2014-01-29 21:22 Maxim Ganetsky Assigned To => Jesus Reyes
2014-01-29 21:22 Maxim Ganetsky Status new => assigned
2014-02-27 14:26 Christian Note Added: 0073358
2014-02-27 15:06 Reinier Olislagers Note Added: 0073359
2014-02-27 15:08 Reinier Olislagers Note Edited: 0073359 View Revisions
2014-02-27 19:01 Jesus Reyes LazTarget => -
2014-02-27 19:01 Jesus Reyes Note Added: 0073360
2014-02-27 19:01 Jesus Reyes Status assigned => feedback
2014-03-15 12:18 Christian Note Added: 0073721
2014-03-15 12:18 Christian Status feedback => assigned
2014-03-17 17:54 Christian Note Added: 0073791
2014-03-17 22:02 Jesus Reyes Fixed in Revision => 44281
2014-03-17 22:02 Jesus Reyes LazTarget - => 1.4
2014-03-17 22:02 Jesus Reyes Note Added: 0073797
2014-03-17 22:02 Jesus Reyes Status assigned => resolved
2014-03-17 22:02 Jesus Reyes Fixed in Version => 1.3 (SVN)
2014-03-17 22:02 Jesus Reyes Resolution open => fixed
2014-03-17 22:02 Jesus Reyes Target Version => 1.4
2014-06-06 21:47 Christian Note Added: 0075540
2014-06-06 21:47 Christian Status resolved => closed